### Method

# Secret Retrievable retrieve_secret_sync

#### Declaration [src]

    SecretValue*
    secret_retrievable_retrieve_secret_sync (
      SecretRetrievable* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Retrieve the secret value of this object synchronously.

Each retrievable object has a single secret which might be a password or some other secret binary value.

This method may block indefinitely and should not be used in user interface threads.

Available since: | 0.19.0

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretValue`
| The secret value which should be released with `secret_value_unref()`, or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.